Subject: Re: bug#45806: 26.3; `menu-bar-separator'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jan 2021 19:03:40 +0200

> Date: Tue, 12 Jan 2021 08:34:04 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Sorry, this name is with us for too long to rename it now.
> 
> Not a great reason not to rename and alias.

Why am I not surprised that you don't accept the judgment of the
project maintainers?

> > > How is it actually used?  Is it used only in (some?) toolkits?
> > 
> > Look at menu-bar.el (obviously), it's used all over there.  On all the
> > toolkits and also in no-toolkit builds.
> 
> I already looked at all occurrences in the Lisp sources.

Then I really wonder why are you asking all these questions.

> AFAICT, _none_ of those occurrences show how it's used
> in the sense of explaining its effect.

You see the effect as soon as you look at the menus which use it.

> I'm looking for info about its implementation and what
> it actually does - info presumably available in some C
> code.  HOW it does what it does.

The HOW is always in the code, so filing a bug about the documentation
is not going to reveal that: we won't describe the implementation in
the documentation.

So I'm closing this bug report.

> See also the question about whether it's used only by
> toolkits.  In GUI Emacs on MS Windows, for instance,
> the effect of a separator is a continuous separator
> line, while the effect with `emacs -nw' seems to be a
> pair of hyphen chars.

Each toolkit/UI variant produces its particular visual, but they all
do, and the effect is the same: to visually separate between groups of
menu items.

> > See above.  If you really want to see the effect of changing it
> > (why?), I think you will need to rebuild Emacs.
> 
> You think so?  How about having the doc specify that,
> or whatever the actual behavior is.

I see no reason.  You are looking for the kind of internal details
that are always found in the code.

> FWIW, this bug report is a result of seeing this user
> question:
> 
> "Is it possible to change the menu separator?"
> 
> https://emacs.stackexchange.com/q/62717/105

Not every question means something is wrong with our documentation.
Sometimes the answer is "use the source, Luc".